Key Results
Create key result check-ins in batch
Creates multiple check-ins for a key result.
POST
/
v1
/
public
/
key-results
/
{id}
/
check-ins
/
_batch
Create key result check-ins in batch
curl --request POST \
--url https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH"
},
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-11",
"endsAt": "2026-05-17"
},
"measurementValue": 47,
"confidence": "MEDIUM"
}
]
'import requests
url = "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch"
payload = [
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH"
},
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-11",
"endsAt": "2026-05-17"
},
"measurementValue": 47,
"confidence": "MEDIUM"
}
]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
period: {type: 'WEEK', startsAt: '2026-05-04', endsAt: '2026-05-10'},
measurementValue: 42,
confidence: 'HIGH'
},
{
period: {type: 'WEEK', startsAt: '2026-05-11', endsAt: '2026-05-17'},
measurementValue: 47,
confidence: 'MEDIUM'
}
])
};
fetch('https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'period' => [
'type' => 'WEEK',
'startsAt' => '2026-05-04',
'endsAt' => '2026-05-10'
],
'measurementValue' => 42,
'confidence' => 'HIGH'
],
[
'period' => [
'type' => 'WEEK',
'startsAt' => '2026-05-11',
'endsAt' => '2026-05-17'
],
'measurementValue' => 47,
'confidence' => 'MEDIUM'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch"
payload := strings.NewReader("[\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\"\n },\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-11\",\n \"endsAt\": \"2026-05-17\"\n },\n \"measurementValue\": 47,\n \"confidence\": \"MEDIUM\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\"\n },\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-11\",\n \"endsAt\": \"2026-05-17\"\n },\n \"measurementValue\": 47,\n \"confidence\": \"MEDIUM\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\"\n },\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-11\",\n \"endsAt\": \"2026-05-17\"\n },\n \"measurementValue\": 47,\n \"confidence\": \"MEDIUM\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "8f7f13fb-6a29-4c3e-aec2-e6de531f2dc3",
"period": {
"id": "3b8a3c57-8e7e-4be7-bf56-29e2738bce34"
}
},
{
"id": "4a2d7289-b6d2-4db9-8f49-c71b5f4f9403",
"period": {
"id": "5d54a6c2-878e-4e74-8a57-d16e058f6aef"
}
}
]Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Pattern:
[^\s_]\S*Body
application/json
Batch create payload for key result check-ins.
⌘I
Create key result check-ins in batch
curl --request POST \
--url https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH"
},
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-11",
"endsAt": "2026-05-17"
},
"measurementValue": 47,
"confidence": "MEDIUM"
}
]
'import requests
url = "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch"
payload = [
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH"
},
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-11",
"endsAt": "2026-05-17"
},
"measurementValue": 47,
"confidence": "MEDIUM"
}
]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
period: {type: 'WEEK', startsAt: '2026-05-04', endsAt: '2026-05-10'},
measurementValue: 42,
confidence: 'HIGH'
},
{
period: {type: 'WEEK', startsAt: '2026-05-11', endsAt: '2026-05-17'},
measurementValue: 47,
confidence: 'MEDIUM'
}
])
};
fetch('https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'period' => [
'type' => 'WEEK',
'startsAt' => '2026-05-04',
'endsAt' => '2026-05-10'
],
'measurementValue' => 42,
'confidence' => 'HIGH'
],
[
'period' => [
'type' => 'WEEK',
'startsAt' => '2026-05-11',
'endsAt' => '2026-05-17'
],
'measurementValue' => 47,
'confidence' => 'MEDIUM'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch"
payload := strings.NewReader("[\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\"\n },\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-11\",\n \"endsAt\": \"2026-05-17\"\n },\n \"measurementValue\": 47,\n \"confidence\": \"MEDIUM\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\"\n },\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-11\",\n \"endsAt\": \"2026-05-17\"\n },\n \"measurementValue\": 47,\n \"confidence\": \"MEDIUM\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins/_batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\"\n },\n {\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-11\",\n \"endsAt\": \"2026-05-17\"\n },\n \"measurementValue\": 47,\n \"confidence\": \"MEDIUM\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "8f7f13fb-6a29-4c3e-aec2-e6de531f2dc3",
"period": {
"id": "3b8a3c57-8e7e-4be7-bf56-29e2738bce34"
}
},
{
"id": "4a2d7289-b6d2-4db9-8f49-c71b5f4f9403",
"period": {
"id": "5d54a6c2-878e-4e74-8a57-d16e058f6aef"
}
}
]
